Bug 976427 - [PATCH] please add systemd-python3
Summary: [PATCH] please add systemd-python3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 19
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-20 14:30 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2013-09-10 13:37 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-10 02:36:50 UTC
Type: Bug


Attachments (Terms of Use)
patch to build also systemd-python3 (4.75 KB, patch)
2013-06-20 14:30 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff
fix for bug visible only in Python3 branch (2.46 KB, patch)
2013-06-20 14:31 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff

Description Zbigniew Jędrzejewski-Szmek 2013-06-20 14:30:38 UTC
Created attachment 763480 [details]
patch to build also systemd-python3

Description of problem:
We have very nice Python 3 compatible modules in the systemd package, and they're not packaged for Fedora!

Attached patches enable the build with Python3.3 in addition to the one with Python2.7. New rpm systemd-python3 is created.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5524116
http://koji.fedoraproject.org/koji/taskinfo?taskID=5524110

Comment 1 Zbigniew Jędrzejewski-Szmek 2013-06-20 14:31:40 UTC
Created attachment 763481 [details]
fix for bug visible only in Python3 branch

Comment 2 Orion Poplawski 2013-08-09 16:44:06 UTC
I need this to try to build fail2ban with python3.

Comment 3 Zbigniew Jędrzejewski-Szmek 2013-08-09 18:21:53 UTC
I will push the update with python3 today or tomorrow. Please wait a bit.

Comment 4 Zbigniew Jędrzejewski-Szmek 2013-08-15 19:02:49 UTC
Patch is applied upstream in http://cgit.freedesktop.org/systemd/systemd/commit/?id=c2748ce.

Orion, can you check if the rpms from http://koji.fedoraproject.org/koji/getfile?taskID=5819840 or http://koji.fedoraproject.org/koji/getfile?taskID=5819880 work for you?

Comment 6 Orion Poplawski 2013-08-15 19:45:03 UTC
That seems to work nicely.  Thanks.

Comment 7 David Woodhouse 2013-09-04 16:43:00 UTC
In the package git repository, you've added a changelog for 204-11 without actually bumping the release to 11.

Comment 8 Zbigniew Jędrzejewski-Szmek 2013-09-10 02:36:50 UTC
(In reply to David Woodhouse from comment #7)
> In the package git repository, you've added a changelog for 204-11 without
> actually bumping the release to 11.
I didn't actually build the package (in non-scratch mode) either :)
The idea was to have something in the changelog, without actually
bumping the release number, so that we somebody does a release at some
point, with more significant changes, the release number will be bumped and the changelog will work as expected.

Does this generate problems? I'm not aware of any except a warning during build.

Anyway, 206-11 contains the python3 changes, so this bug can be closed. I'm not sure why bugzilla didn't pick this up automatically... Does it only look at the bugs referenced in the latest release in the changelog?

Comment 9 Orion Poplawski 2013-09-10 02:51:44 UTC
Bodhi will close bugs explicitly noted in the bug field.  Otherwise there is no automatic connection between builds and bugzilla.

Comment 10 Zbigniew Jędrzejewski-Szmek 2013-09-10 12:10:12 UTC
(In reply to Orion Poplawski from comment #9)
> Bodhi will close bugs explicitly noted in the bug field.  Otherwise there is
> no automatic connection between builds and bugzilla.
I have the following in %changelog:

%changelog
...

* Sun Aug 11 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 204-10
- New systemd-python3 package (#976427).

I thought that should suffice to have this bug closed...

Comment 11 Kay Sievers 2013-09-10 12:23:47 UTC
It's the list of bugs manually entered here:
  https://admin.fedoraproject.org/updates/new/

Comment 12 Harald Hoyer 2013-09-10 12:31:28 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #10)
> (In reply to Orion Poplawski from comment #9)
> > Bodhi will close bugs explicitly noted in the bug field.  Otherwise there is
> > no automatic connection between builds and bugzilla.
> I have the following in %changelog:
> 
> %changelog
> ...
> 
> * Sun Aug 11 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 204-10
> - New systemd-python3 package (#976427).
> 
> I thought that should suffice to have this bug closed...

sorry, seems like I forgot to add that bugzilla in bodhi

Comment 13 Zbigniew Jędrzejewski-Szmek 2013-09-10 13:32:22 UTC
(In reply to Kay Sievers from comment #11)
> It's the list of bugs manually entered here:
>   https://admin.fedoraproject.org/updates/new/
Ah, OK. That explains everything. OMG, couldn't this be extracted automatically from the changelog?

Comment 14 Harald Hoyer 2013-09-10 13:37:51 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #13)
> (In reply to Kay Sievers from comment #11)
> > It's the list of bugs manually entered here:
> >   https://admin.fedoraproject.org/updates/new/
> Ah, OK. That explains everything. OMG, couldn't this be extracted
> automatically from the changelog?

yes, it could... and it would simplify things a lot :)


Note You need to log in before you can comment on or make changes to this bug.